import java.io.*;

import org.htmlparser.util.*;

/**
 * Read all input from stdin, hand input to filter to be parsed and
 * filtered, write output back to stdout.
 */
public class Driver {

    public static void main (String[] args) {
	BufferedInputStream reader = new BufferedInputStream(System.in);
	BufferedOutputStream writer = new BufferedOutputStream(System.out);
	StringBuffer msgbuf = new StringBuffer();
	String msg;
	int c;

	try {
	    while((c = reader.read()) != -1)
		msgbuf.append((char)c);
	    Filter f0 = new Filter();
	    msg = msgbuf.toString();
	    msg = f0.clean(msg);
	    writer.write(msg.getBytes());
	    writer.flush();
	}
	catch (IOException e) {
	    System.out.println("IOException caught: " + e);
	}
	catch (ParserException e) {
	    System.out.println("Error parsing HTML file: " + e);
	}
	catch (Exception e) {
	    System.out.println("Unexpected exception: " + e);
	}
    }

}
